/Users/bernard/b20/bsoft/src/bnad.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bnad.cpp - Image denoising by nonlinear anisotropic diffusion: Coherence and edge enhancing diffusion.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Image denoising by nonlinear anisotropic diffusion: Coherence and edge enhancing diffusion.

Author:
    Achilleas Frangakis

    Bernard Heymann

Date:
    Created: 20020803

    Modified: 20161210 (BH)

Definition in file bnad.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 48 of file bnad.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bnad [options] input.img output.img",
"------------------------------------------",
"Denoises by nonlinear anisotropic diffusion: Coherence and edge enhancing diffusion.",
"The default is edge enhancing diffusion.",
"Coherence enhancing diffusion is used if the coherence parameter is specified.",
"Diffusion is faster for higher lambda (1e-6 to 10 have been tested).",
" ",
"Actions:",
"-lambda 0.3              Lambda: edge enhancing diffusion (default 0.1).",
"-coherence 0.002         Coherence: coherence enhancing diffusion (default 0.001).",
"-sigma 2.5               Initial gaussian smoothing coefficient (default no smoothing).",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-iterations 80           Iterations (default 1).",
"-slabsize 20             Slab size for piece-wise processing (default z size).",
"-output 5                Number of iterations between writing output maps (default 100).",
" ",
"Parameters for coherence enhancing diffusion:",
"-alpha 0.001             Alpha (default 0.001).",
"-rho 4                   Gaussian smoothing of structure tensor (default 6).",
" ",
NULL
}

Definition at line 20 of file bnad.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.